Page MenuHomePhabricator

Transition mw-node-qunit and resource-modules to wikimedia/
Closed, ResolvedPublic

Description

Live @ https://github.com/wikimedia/resource-modules

  • Publish the latest NPM artifacts under the @wikimedia NPM org.
  • Update package.json references to use the new artifacts.

Developer notes

Do we want Gerrit repos and standard NPM CI jobs or stick with GitHub?

I'd suggest we use Github for the time being. Given its tooling, there's little benefit for MediaWiki CI and we can use Travis as and when necessary.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 14 2018, 5:26 PM
Jdlrobson updated the task description. (Show Details)Jun 15 2018, 9:00 PM
Jdlrobson moved this task from Needs Analysis to Triaged but Future on the Readers-Web-Backlog board.

I've invited https://www.npmjs.com/~joakin as a member of the Wikimedia org on npmjs.com. Once accepted, it should be possible to add the packages at https://www.npmjs.com/settings/wikimedia/teams/team/developers/access

@Jdforrester-WMF has also added me so we should be good to go on this task. \o/

I can't transfer the repos to the wikimedia organization on github since I can't create repositories there (insufficient permissions). Who do I ask about this?


Re: npm, I am on the wikimedia team but I'm not sure how I add the project to the team or the team to the project. In the project admin section I can add collaborators manually. Any ideas?

I can't transfer the repos to the wikimedia organization on github since I can't create repositories there (insufficient permissions). Who do I ask about this?

I've created a new repo, mw-node-qunit, under my account, niedzielski, and did the following:

git clone https://github.com/joakin/mw-node-qunit.git
cd mw-node-qunit/
git remote add niedzielski https://github.com/niedzielski/mw-node-qunit.git
git push niedzielski master

This appears to create a complete copy of the repo that is not marked as a fork. Does anyone have any objections if I just do this under wikimedia/ since I have permissions to create repos there?

NPM

I am guessing I can just publish an @wikimedia/mw-node-qunit package like any other NPM package once we get the repo sorted.

Change 442992 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/extensions/MobileFrontend@master] Fix: upgrade resource-modules linter

https://gerrit.wikimedia.org/r/442992

Change 442994 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/extensions/Popups@master] Hygiene: update mw-node-qunit dependency package

https://gerrit.wikimedia.org/r/442994

We had to work on it in a hurry because of a critical bug in a resource-modules dependency. Here's what I did:

  1. Copied all the branches and tags for:
  2. Published packages to @wikimedia/mw-node-qunit and @wikimedia/resource-modules following these official docs.
  3. Updated the default files to unblock MobileFrontend merges and submitted patches to MobileFrontend (and Popups just to keep the mw-node-qunit reference up to date).

@Jhernandez, please update the readmes in these repos to point to their new home!

Niedzielski removed Niedzielski as the assignee of this task.Jun 28 2018, 10:36 PM

Sure. I wanted to properly transfer repos and ownership of the existing packages but whatever. Transfer done then :)

Change 442994 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Hygiene: update mw-node-qunit dependency package

https://gerrit.wikimedia.org/r/442994

Change 442992 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Fix: upgrade resource-modules linter

https://gerrit.wikimedia.org/r/442992

Vvjjkkii renamed this task from Transition mw-node-qunit and resource-modules to wikimedia/ to 4zaaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Niedzielski added a subscriber: Jdlrobson.

@Jdlrobson, would you mind signing this guy off when you can?

Jdlrobson updated the task description. (Show Details)Jul 3 2018, 5:08 PM

https://www.npmjs.com/package/resource-modules is still linking to Joaquin's github. Can we fix that?

@Jdlrobson, @Jhernandez updated the readmes for the repos so anyone who follows the source ink will see their new homes.

@Jhernandez, would you mind updating the package.json file in each repo and cutting a new version? The repos are archived so I can't submit a PR and I don't have publish rights to your npmjs.com packages.

@Niedzielski I think @Jdlrobson means that the repository key on the @Wikimedia package.json should point to the wikimedia github:

https://github.com/wikimedia/resource-modules/blob/master/package.json#L34-L37

That way https://www.npmjs.com/package/@wikimedia/resource-modules when clicking on Github it will link to the wikimedia repo and not the other one.

I dont have permission to merge those. Could you add the team members to both repos?

@Jdlrobson, done! Please try again.

Jdlrobson closed this task as Resolved.Jul 5 2018, 4:18 PM
CommunityTechBot lowered the priority of this task from High to Normal.Jul 5 2018, 7:02 PM

Change 445610 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/extensions/Popups@master] Fix: mw-node-qunit package reference

https://gerrit.wikimedia.org/r/445610

Change 445610 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Fix: mw-node-qunit package reference

https://gerrit.wikimedia.org/r/445610

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptSep 13 2018, 6:39 PM